Skip to navigation

List customers

Newest first. search matches the name or your external id.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

searchstring or nullOptional<=100 characters
Text to search for.
typeenum or nullOptional
Only this kind of customer.
Allowed values:
owner_idinteger or nullOptional>=1
Only customers owned by this customer.
offsetintegerOptional>=0Defaults to 0

Rows to skip. Pass the previous page’s next_offset to continue.

limitintegerOptional1-200Defaults to 50

Maximum rows per page (default 50, max 200).

Response

One page of results; next_offset is null on the last page.

itemslist of objects
offsetinteger
limitinteger
next_offsetinteger or nullOptional

Errors

401
Unauthorized Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error